****************************************************************
** MERIH ANGIN, ALBANA SHEHAJ, and ADRIAN SHIN 			     ***
** Inside Job  								  		         ***
** Migration and Distributive Politics in the European Union ***
** September, 2020					                         ***
****************************************************************

*Figure 1a: Have you heard these funds? under Figure 1 - Public Unawareness of EU Funds in June, 2015
clear
use "flash_eurobarometer.dta"
set scheme sj
graph hbar neither_fl423_new erdf_vl423_new  cohe_fl423_new   , over (country, label(labsize(small) ) gap(*1.5) ) yscale(off) blabel(group, position(inside) size(small)) intensity(*.75) stack blabel(bar, format(%4.0f)) ylabel(, angle(horizontal) nogrid)   note("", size(vsmall)) legend(region(lcolor(white)) rows(1) stack size(4) order(1 "Neither" 2 "ERDF " 3 "Cohesion Fund" )  symplacement(center))  plotregion(fcolor(white) lcolor(white) lstyle(none)) ytitle("Ytitle", size(small) ) plotregion(fcolor(white) lstyle(none) lcolor(white)) graphregion(fcolor(white) lstyle(none) lcolor(white) )
graph display, xsize(4) ysize(4)
graph export "eurobarometer_chart.pdf", replace
set scheme s2color
*Figure 1b: Percentage of Neither under Figure 1 - Public Unawareness of EU Funds in June, 2015
clear
use "flash_eurobarometer.dta"
sort country
replace country="Belgium" if icountrycode=="BE"
replace country="Portugal" if icountrycode=="PT"
merge 1:m country using "idfile.dta", nogenerate
spmap neither_fl423_new using "coord_mercator_europe.dta", id(na_id_world) ///
osize(vvthin vvthin vvthin vvthin) ndsize(vvthin) ///
title("") fcolor(Blues)   ocolor(white ..) clmethod(custom) clbreaks(17 30 40 50 60 71) legend(size(large) position(11) label(2 "17%–30%") label(3 "30%–40%" ) label(4 "40%–50%" )  label(5 "50%–60%" ) label(6 "60%-71%")) legtitle("")
graph export "map_mercator.pdf", replace

*Figure 2: Migrant Arrivals by Boat and Change in ERDF and ESF between 2015 and 2017
clear
use "italy_map_data_final.dta"
*Figure 2a: Number of Migrant Arrivals
spmap change_euexp_pc_15_17 using "reg-coord.dta", id(stid) ndsize(vvthin) label(data("map_labels_eu_15_17.dta")  xcoord(x_cc)  ycoord(y_cc) label(name_reg) by(labtype) size(*1 ..) pos(12 0)) fcolor(Blues)   ocolor(white ..) osize(thin ..) clmethod(custom) clbreaks(-10 50 90 100 102) legend(size(large) position(2) label(2 "€-10–€50") label(3 "€50–€90" ) label(4 "€90–€100" )  label(5 "€100–€102" )) legtitle("")
graph export  "EU Expenditures pc 2015-2017.png", replace
graph export  "EU Expenditures pc 2015-2017.pdf", replace
*Figure 2b: Expenditure Changes between 2015 and 2017
spmap migrants_landing_2015 using "reg-coord.dta", id(stid) ndsize(vthin) ndocolor(ebblue%40) label(data("map_labels_migrants_15.dta")  xcoord(x_cc)  ycoord(y_cc) label(name_reg) by(labtype) size(*1 ..) pos(12 0)) fcolor(Blues)  ocolor(white ..) osize(thin ..) clmethod(custom) clbreaks(0 5451 11190 29437 104709) ndlabel(No Data)  legend(size(large) position(2) label(2 "5,451") label(3 "11,190" ) label(4 "29,437" )  label(5 "104,709" ))  legtitle("")
graph export  "Migrants 2015.png", replace
graph export  "Migrants 2015.pdf", replace

*Table 3: ERDF and ESF Expenditures and Migrant Arrivals by Boat in Southern Italy
clear
use "Inside_Job_Subnational_Italy.dta"
gen ln_migrants_landing=ln(migrants_landing_1000*1000)
gen ln_euexpenditures_pc=ln(1+euexpenditures_pc)
reg euexpenditures_pc l1.migrants_landing_1000, cluster(nuts2code_1)
estimates store MODEL1, title((1))
reg euexpenditures_pc l1.migrants_landing_1000 i.nuts2code_1, cluster(nuts2code_1)
estimates store MODEL2, title((2))
reg euexpenditures_pc l2.migrants_landing_1000 i.nuts2code_1, cluster(nuts2code_1)
estimates store MODEL3, title((3))
reg euexpenditures_pc l2.migrants_landing_1000 i.nuts2code_1 i.operationstartyear, cluster(nuts2code_1)
estimates store MODEL4, title((4))
reg euexpenditures_pc l2.migrants_landing_1000 l2.unemp i.nuts2code_1 i.operationstartyear, cluster(nuts2code_1)
estimates store MODEL5, title((5))
reg euexpenditures_pc l2.migrants_landing_1000 l2.unemp i.nuts2code_1 after_2016, cluster(nuts2code_1)
estimates store MODEL6, title((6))
estout MODEL1 MODEL2 MODEL3 MODEL4 MODEL5 MODEL6, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models123456.tex", replace style(tex)


*Figure 3: Migratory Routes and Border Detections
clear
use "Inside_Job_Cross_National.dta"
keep ccode year detections
collapse (sum) detections, by(ccode)
sort ccode
merge 1:m ccode using "idfile.dta", nogenerate
spmap detections using "coord_mercator_europe.dta", id(na_id_world) fcolor(Blues2) osize(thin ..) ndsize(vvthin) ocolor(white ..) clmethod(custom) clbreak(0 1 1000 10000 100000 1000000 1500000 2000000) legend(size(normal) position(11) label(2 "0") label(3 "1–1,000") label(4 "1,000–10,000") label(5 "10,000–100,000") label(6 "100,000–1,000,000") label(7 "1,000,000–1,500,000") label(8 "1,500,000<") ) ndlabel(No Data) xsize(5) ysize(4)  
graph export  "Migrant Routes.png", replace
graph export  "Migrant Routes.pdf", replace

*Table 4: Cross-National Analysis
clear
use "Inside_Job_Cross_National.dta"
reg ex_pc l.ln_detections  i.ccode i.year if sample==1, cluster(ccode) 
estimates store MODEL7, title((7))
reg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity  i.ccode i.year if sample==1, cluster(ccode)
estimates store MODEL8, title((8))
reg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1, cluster(ccode)
estimates store MODEL9, title((9))
rreg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1
estimates store MODEL10, title((10))
reg ln_ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1
estimates store MODEL11, title((11))
estout MODEL7 MODEL8 MODEL9 MODEL10 MODEL11, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models7891011.tex", replace style(tex)

*Figure 4: Asylum Applications in Italy & Greece and EU3 (2015-2019)
clear
use "asylum_2014_2019.dta"
scatter  eu3 l.italy_greece, mlabel(year) mlabsize(4) mlabposition(12) plotregion(lcolor(white) color(white)) graphregion(lcolor(white) color(white)) xtitle(Total Number of Asylum Applications in Italy and Greece (Year t-1), size(4)) ytitle(Total Number of Asylum Applications in EU3 (Year t), size(4)) ysize(4) xsize(5) title(" ") xlabel(60000(20000)200000) xscale(range(60000(20000)200000))
graph export "asylum_raw.pdf", replace


*Appendix - Table A1: Summary Statistics for the Subnational Analysis
clear
use "Inside_Job_Subnational_Italy.dta"
sutex euexpenditures_pc migrants_landing_1000 unemp, minmax

*Appendix - Table A2: Summary Statistics for the Cross-National Analysis
clear
use "Inside_Job_Cross_National.dta"
sutex ex_pc totalex_gdp ln_detections lngdppc lnpop gdpgrowth polity v2x_civlib ln_fdi_sum_pc_0 if year>2008 & year<2019, minmax

*Appendix - Table A3: Correlation Table for the Subnational Analysis
clear
use "Inside_Job_Subnational_Italy.dta"
gen l1_migrants_landing_1000=l1.migrants_landing_1000
gen l2_migrants_landing_1000=l2.migrants_landing_1000
gen l1_unemp=l1.unemp
gen l2_unemp=l2.unemp
estpost corr euexpenditures_pc l1_migrants_landing_1000 l2_migrants_landing_1000 l1_unemp l2_unemp,matrix
esttab . using "correlation_matrix_subnational.tex", not unstack compress label noobs replace booktabs page

*Appendix - Table A4: Correlation Table for the Cross-National Analysis
clear
use "Inside_Job_Cross_National.dta"
gen l1_ln_detections=l.ln_detections
gen l1_lngdppc=l.lngdppc
gen l1_lnpop=l.lnpop
gen l1_gdpgrowth=l.gdpgrowth
gen l1_polity=l.polity
gen l1_v2x_civlib=l.v2x_civlib
gen l1_ln_fdi_sum_pc_0=l.ln_fdi_sum_pc_0
estpost corr  ex_pc totalex_gdp ln_ex_pc l1_ln_detections l1_lngdppc l1_lnpop l1_gdpgrowth l1_polity l1_v2x_civlib l1_ln_fdi_sum_pc_0 ,matrix
esttab . using "correlation_matrix_national.tex", not unstack compress label noobs replace booktabs page

*Appendix - Table A5: Total EU Expenditures (% GDP) and Border Detections
reg totalex_gdp l.ln_detections  i.ccode i.year if sample==1, cluster(ccode) 
estimates store MODELA1, title((A1))
reg totalex_gdp l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity  i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA2, title((A2))
reg totalex_gdp l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA3, title((A3))
estout MODELA1 MODELA2 MODELA3, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models123a.tex", replace style(tex)

*Appendix - Table A6: Total EU Expenditures per Capita and Border Detections (including UK, Germany, and France)
reg ex_pc l.ln_detections  i.ccode i.year, cluster(ccode)
estimates store MODELA4, title((A4)) 
reg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib  i.ccode i.year, cluster(ccode)
estimates store MODELA5, title((A5)) 
estout MODELA4 MODELA5, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models45a.tex", replace style(tex)

*Appendix - Table A7: Total EU Expenditures per Capita and Border Detections (Excluding Countries that Have Never Experienced Border Detections)
gen sample2=1
replace sample2=0 if ccode==305 | ccode==221 | ccode==352 | ccode==316 | ccode==255 | ccode==390 | ccode==220 | ccode==205 | ccode==212 | ccode==210 | ccode==235 | ccode==380 | ccode==349
reg ex_pc l.ln_detections  i.ccode i.year if sample2==1, cluster(ccode) 
estimates store MODELA6, title((A6)) 
reg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity  i.ccode i.year if sample2==1, cluster(ccode)
estimates store MODELA7, title((A7)) 
reg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample2==1, cluster(ccode)
estimates store MODELA8, title((A8))
estout MODELA6 MODELA7 MODELA8, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models678a.tex", replace style(tex)


*Appendix - Table A8: Ln(Total EU Expenditures per Capita), LDV, and Border Detections
xi i.year
reg ln_ex_pc L.(ln_ex_pc ln_detections lngdppc lnpop gdpgrowth polity v2x_civlib ln_fdi_sum_pc_0) i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA9, title((A9))
reg ln_ex_pc L.(ln_ex_pc ln_detections lngdppc lnpop gdpgrowth polity v2x_civlib ln_fdi_sum_pc_0) i.year if sample==1, cluster(ccode)
estimates store MODELA10, title((A10))
xtabond2  ln_ex_pc L.(ln_ex_pc ln_detections lngdppc lnpop gdpgrowth v2x_civlib ln_fdi_sum_pc_0) _I*  if sample==1, gmm(L1.(ln_ex_pc),collapse)  ivstyle( L.(ln_detections lngdppc   lnpop gdpgrowth v2x_civlib ln_fdi_sum_pc_0) _I*) robust noleveleq small
estimates store MODELA11, title((A11)) 
estout MODELA9 MODELA10 MODELA11, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models91011a.tex", replace style(tex)


*Appnedix - Figure A1: Checking Normality of Residuals for Cross-National Analysis
clear
use "Inside_Job_Cross_National.dta"
rreg ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1
predict ex_pc_hat
predict ex_pc_error, resid
hist ex_pc_error, bin(50) lc(white%0) fcolor(gs10%50) recast(rbar) legend(off) graphregion(fcolor(white) lcolor(white)) xsize(5) ysize(5)
kdensity ex_pc_error, normal fcolor(gs10%50) lpattern(dash) legend(region(lcolor(white)))  graphregion(fcolor(white) lcolor(white)) xsize(5) ysize(5) title("")
graph export "kernel_ex_pc.pdf", replace
sum ex_pc ex_pc_hat ex_pc_error
reg ln_ex_pc l.ln_detections l.lngdppc l.lnpop l.gdpgrowth l.polity l.v2x_civlib l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1
predict ln_ex_pc_hat
predict ln_ex_pc_error, resid
hist ln_ex_pc_error, bin(50) lc(white%0) fcolor(gs10%50) recast(rbar) legend(off) graphregion(fcolor(white) lcolor(white)) xsize(5) ysize(5) 
kdensity ln_ex_pc_error, normal fcolor(gs10%50) lpattern(dash) legend(region(lcolor(white))) graphregion(fcolor(white) lcolor(white)) xsize(5) ysize(5) title("")
graph export "kernel_ln_ex_pc.pdf", replace
sum ln_ex_pc ln_ex_pc_hat ln_ex_pc_error


*Appendix - Table A9: Total EU Expenditures per Capita and Intra-EU Migrant Stocks
reg f.ex_pc c.ln_migrants_seatweighted##c.lngdppc lnpop gdpgrowth polity l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA11, title((A11))
reg f.ex_pc c.ln_migrants_gdpweighted##c.lngdppc lnpop gdpgrowth polity l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA12, title((A12))
reg f.ex_pc c.ln_migrants_sum##c.lngdppc lnpop gdpgrowth polity l.ln_fdi_sum_pc_0 i.ccode i.year if sample==1, cluster(ccode)
estimates store MODELA13, title((A13))
estout MODELA11 MODELA12 MODELA13, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "models111213a.tex", replace style(tex)

